Package org.eclipse.core.resources.refresh

# Interface IRefreshMonitor

public interface IRefreshMonitor
An `IRefreshMonitor` monitors trees of `IResources` for changes in the local file system.

When an `IRefreshMonitor` notices changes, it should report them to the `IRefreshResult` provided at the time of the monitor's creation.

Clients may implement this interface.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`void`
`unmonitor(IResource resource)`
Informs the monitor that it should stop monitoring the given resource.

## Method Details

### unmonitor

void unmonitor(IResource resource)
Informs the monitor that it should stop monitoring the given resource.

Parameters:
  `resource` - the resource that should no longer be monitored, or `null` if this monitor should stop monitoring all resources it is currently monitoring